
#include "Controller.h"
#include "State/Red.h"

/* --------------------------------------------------------------------- */

Controller::Controller(Timer* t)
{
	timer = t;
	state = NULL;
}

/* --------------------------------------------------------------------- */

void Controller::setState (State::State* s)
{
	std::cout << std::endl << "+-R-+-Y-+-G-+";
	state = s;
	s->setupTimer(timer);
	s->display();
	s->display();
	std::cout << " Waiting... " << std::flush;
}

/* --------------------------------------------------------------------- */

void Controller::step ()
{
	state->step(this, this->timer);
}

/* --------------------------------------------------------------------- */
