#include "Green.h"

namespace State {

/* --------------------------------------------------------------------- */

Green::Green()
{
}

/* --------------------------------------------------------------------- */

Green* Green::getInstance() {
	static Green theInstance;
	return(&theInstance);
}

/* --------------------------------------------------------------------- */

void Green::display() {
	std::cout << std::endl << "|   |   |###|";
}

/* --------------------------------------------------------------------- */

void Green::advance(Controller* c) {
	State* newState = YellowFromGreen::getInstance();
	c->setState(newState);
}

/* --------------------------------------------------------------------- */

}
