#include "YellowFromGreen.h"

namespace State {

/* --------------------------------------------------------------------- */

YellowFromGreen::YellowFromGreen()
{
}

/* --------------------------------------------------------------------- */

YellowFromGreen* YellowFromGreen::getInstance() {
	static YellowFromGreen theInstance;
	return(&theInstance);
}

/* --------------------------------------------------------------------- */

void YellowFromGreen::display() {
	std::cout << std::endl << "|   |<<<|   |";
}

/* --------------------------------------------------------------------- */

void YellowFromGreen::advance(Controller* c) {
	State* newState = Red::getInstance();
	c->setState(newState);
}

/* --------------------------------------------------------------------- */

}
