#include "State.h"
#include <iostream>

namespace State {

/* --------------------------------------------------------------------- */

void State::setDuration(int d)
{
	this->duration = d;
}

/* --------------------------------------------------------------------- */

void State::setupTimer(Timer* t)
{
	t->set(this->duration);
}

/* --------------------------------------------------------------------- */

void State::step(Controller* c, Timer* t)
{
	if (t->expired())
	{
		this->advance(c);
	}
        std::cout << t->remaining() << std::flush;
}

/* --------------------------------------------------------------------- */

}
